﻿$root = Join-Path "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)" "install"
$packageArgs = @{
	packageName   = $env:ChocolateyPackageName
	unzipLocation = $root
	fileType      = 'msi'
	url           = 'https://golang.org/dl/go1.17.3.windows-386.msi'
	checksum      = 'd0de052b7e9f198d40876d8f6c3cc1f5d5280090a8bd2d69016ff4138e6f11b9'
	checksumType  = 'SHA256'
	url64         = 'https://golang.org/dl/go1.17.3.windows-amd64.msi'
	checksum64    = 'bf3c475726c9165eb5d809e1bb4ce33550a25850495aac0a5df6d0df05930936'
	checksumType64= 'SHA256'

	silentArgs    = '/qn /norestart'
	validExitCodes= @(0, 3010, 1641)

}

New-Item -ItemType Directory -Force -Path $root | Out-Null
Install-ChocolateyPackage @packageArgs
